data {
    int N;
    real RT[N];
    real max_a;
    real max_b;
    real max_x;
}
parameters {
    real<lower = 0.0, upper = max_a> param_a;
    real<lower = 0.0, upper = max_b>param_b;
    real<lower = 0.0, upper = max_x> param_x;
}
model {
    param_a ~ uniform(0.0, max_a);
    param_b ~ uniform(0.0, max_b);
    param_x ~ uniform(0.0, max_x);
    for(i in 1:N){
        RT[i] - param_x ~ gamma(param_a, param_b);
    }
}
